package com.bonus.sharedstation.app.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * 绿植订购一对多绿植数量表(GreenOrderInfo)实体类
 *
 * @author makejava
 * @since 2024-12-13 10:42:22
 */
@Data
@TableName("yz_green_order_info")
public class GreenOrderInfo implements Serializable {
    private static final long serialVersionUID = 735031711224626816L;

    private Integer id;
    /**
     * 订单 id
     */
    private Integer orderId;
    /**
     * 绿植 id
     */
    private Integer greenId;
    /**
     * 绿植名称
     */
    private String greenName;
    /**
     * 订购数量
     */
    private Integer greenNum;
    /**
     * 备注（200字以内）
     */
    private String remarks;
    /**
     * 创建人
     */
    private String createdBy;
    /**
     * 创建时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date createdTime;
    /**
     * 修改时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date updatedTime;
    /**
     * 修改人
     */
    private String updatedBy;
    /**
     * 逻辑删除标识，1表示已删除，0表示未删除
     */
    private String isDeleted;

    private Integer tenantId;
    /**
     * 图片地址
     */
    private String url;

    /**
     * 单价
     */
    private Double greenPrice;



    public Double getGreenPrice() {
        return greenPrice;
    }

    public void setGreenPrice(Double greenPrice) {
        this.greenPrice = greenPrice;
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getOrderId() {
        return orderId;
    }

    public void setOrderId(Integer orderId) {
        this.orderId = orderId;
    }

    public Integer getGreenId() {
        return greenId;
    }

    public void setGreenId(Integer greenId) {
        this.greenId = greenId;
    }

    public String getGreenName() {
        return greenName;
    }

    public void setGreenName(String greenName) {
        this.greenName = greenName;
    }

    public Integer getGreenNum() {
        return greenNum;
    }

    public void setGreenNum(Integer greenNum) {
        this.greenNum = greenNum;
    }

    public String getRemarks() {
        return remarks;
    }

    public void setRemarks(String remarks) {
        this.remarks = remarks;
    }

    public String getCreatedBy() {
        return createdBy;
    }

    public void setCreatedBy(String createdBy) {
        this.createdBy = createdBy;
    }

    public Date getCreatedTime() {
        return createdTime;
    }

    public void setCreatedTime(Date createdTime) {
        this.createdTime = createdTime;
    }

    public Date getUpdatedTime() {
        return updatedTime;
    }

    public void setUpdatedTime(Date updatedTime) {
        this.updatedTime = updatedTime;
    }

    public String getUpdatedBy() {
        return updatedBy;
    }

    public void setUpdatedBy(String updatedBy) {
        this.updatedBy = updatedBy;
    }

    public String getIsDeleted() {
        return isDeleted;
    }

    public void setIsDeleted(String isDeleted) {
        this.isDeleted = isDeleted;
    }

    public Integer getTenantId() {
        return tenantId;
    }

    public void setTenantId(Integer tenantId) {
        this.tenantId = tenantId;
    }

}

